CVE-2018-18385

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2018-18385
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2018-18385.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2018-18385
Aliases
Published
2018-10-16T16:50:12Z
Modified
2024-06-30T13:02:31.988480Z
Severity
  • 7.5 (High) CVSS_V3 - CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS Calculator
Summary
[none]
Details

Asciidoctor in versions < 1.5.8 allows remote attackers to cause a denial of service (infinite loop). The loop was caused by the fact that Parser.next_block was not exhausting all the lines in the reader as the while loop expected it would. This was happening because the regular expression that detects any list was not agreeing with the regular expression that detects a specific list type. So the line kept getting pushed back onto the reader, hence causing the loop.

References

Affected packages

Debian:11 / asciidoctor

Package

Name
asciidoctor
Purl
pkg:deb/debian/asciidoctor?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.5.8-1

Ecosystem specific

{
    "urgency": "low"
}

Debian:12 / asciidoctor

Package

Name
asciidoctor
Purl
pkg:deb/debian/asciidoctor?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.5.8-1

Ecosystem specific

{
    "urgency": "low"
}

Debian:13 / asciidoctor

Package

Name
asciidoctor
Purl
pkg:deb/debian/asciidoctor?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.5.8-1

Ecosystem specific

{
    "urgency": "low"
}

Git / github.com/asciidoctor/asciidoctor

Affected ranges

Type
GIT
Repo
https://github.com/asciidoctor/asciidoctor
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Fixed

Affected versions

v0.*

v0.0.1
v0.0.2
v0.0.3
v0.0.4
v0.0.5
v0.0.6
v0.0.7
v0.0.9
v0.1.0
v0.1.1
v0.1.2
v0.1.2.cr
v0.1.3
v0.1.4
v0.1.4.preview.1
v0.1.4.preview.2
v0.1.4.preview.3
v0.1.4.rc.1
v0.1.4.rc.2

v1.*

v1.5.0
v1.5.0.pre.preview.5
v1.5.0.preview.1
v1.5.0.preview.2
v1.5.0.preview.5
v1.5.0.preview.6
v1.5.0.preview.7
v1.5.0.preview.8
v1.5.0.preview3
v1.5.0.preview4
v1.5.0.rc.1
v1.5.0.rc.2
v1.5.0.rc.3
v1.5.0.rc.4
v1.5.0.rc.5
v1.5.0.rc.6
v1.5.1
v1.5.2
v1.5.3
v1.5.4
v1.5.5
v1.5.6
v1.5.6.1
v1.5.7